QGIS Application - Bug report #7721
GRASS v.db.addcolumn not working
2013-04-26 07:52 AM - andre mano

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16629
Description

With GRASS plugin, adding a column (v.db.addcolumn) to a vector point layer created through v.random does not change attribute table
structure (even after removing the layer from QGIS TOC and reloading it again). Module returns the following message:

v.db.addcol map=RandomPoints@Curso layer=1 "columns=MinDist DOUBLE PRECISION"

Database connection for map is not defined in DB file

%, There is no table connected to this map! Run v.db.connect or v.db.addtable first.
Finished with error

History

#1 - 2014-06-21 08:22 AM - Jiirgen Fischer
- Category set to GRASS

#2 - 2016-02-03 06:51 AM - Radim Blazek

- Resolution set to worksforme

- Status changed from Open to Closed

v.random does not create table that is expected.

v.db.addcaol fails if table does not exist, that is also expected.

v.db.addtable works for me.

Please reopen if necessary and specify which module exactly does not work and what error message it gives.
